%define name    awale
%define xname   xawale
%define version 1.4
%define release %mkrel 1

Name:           %{name}
Summary:        Game to play awale or oware
Version:        %{version}
Release:        %{release}
Source0:        %{name}-%{version}.tar.gz
URL:            http://www.nongnu.org/awale
Group:          Games/Boards
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
License:        GPL
Requires:       tcl >= 8.4, tk >= 8.4
Distribution: Linux
Packager: Alain Le Bot <alain.le-bot@ec-lyon.fr>

%description
This software plays the famous African game, awale also called oware.

You can play against AI or with two players. The rule is entirely
configurable in order to match with the numerous variants of the
game available in Africa.

The software provides a full GUI in english, french and spanish.

%prep 
%setup -q

%build 
%configure 
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu (awale.desktop is now created by make)
mkdir -p %{buildroot}/%{_datadir}/applications
cat > %{buildroot}/%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Free Awale
Comment=Awale game
Exec=xawale
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
Categories=Game;BoardGame;
EOF

%clean 
rm -rf $RPM_BUILD_ROOT 

%post
%update_menus
%update_desktop_database

%postun
%clean_menus
%clean_desktop_database

%files 
%defattr(-,root,root,0755) 
%doc README NEWS COPYING AUTHORS INSTALL ChangeLog
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1//%{xname}.1*
%{_bindir}/%{name} 
%{_bindir}/%{xname}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/copyright.gif
%{_datadir}/%{name}/fr.gif
%{_datadir}/%{name}/sp.gif
%{_datadir}/%{name}/uk.gif
%{_datadir}/%{name}/Awale.gif
%{_datadir}/%{name}/AwaleBanner.bmp
%{_datadir}/%{name}/Trou00.gif
%{_datadir}/%{name}/Trou01.gif
%{_datadir}/%{name}/Trou02.gif
%{_datadir}/%{name}/Trou03.gif
%{_datadir}/%{name}/Trou04.gif
%{_datadir}/%{name}/Trou05.gif
%{_datadir}/%{name}/Trou06.gif
%{_datadir}/%{name}/Trou07.gif
%{_datadir}/%{name}/Trou08.gif
%{_datadir}/%{name}/Trou09.gif
%{_datadir}/%{name}/Trou10.gif
%{_datadir}/%{name}/Trou11.gif
%{_datadir}/%{name}/Trou12.gif
%{_datadir}/%{name}/Trou13.gif
%{_datadir}/%{name}/Trou14.gif
%{_datadir}/%{name}/Trou15.gif
%{_datadir}/%{name}/%{name}.ico
%{_datadir}/%{name}/%{name}.png
%{_datadir}/%{name}/%{xname}.tcl
%{_datadir}/%{name}/README


%changelog
* Thu Jul 30 2009 Alain Le Bot <alain.le-bot@ec-lyon.fr> 1.4
- Spec file for version 1.4
* Fri Aug 08 2008 Alain Le Bot <alain.le-bot@ec-lyon.fr> 1.3
- First spec file for version 1.3
